Bug 789187

Summary: [abrt] fontforge-20110222-4.fc16: __GI___libc_malloc: Process /usr/bin/fontforge was killed by signal 6 (SIGABRT)
Product: [Fedora] Fedora Reporter: igor.redhat <igor.redhat>
Component: fontforgeAssignee: Kevin Fenzi <kevin>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: fonts-bugs, kevin, paul
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:076abb64ad192b1155ebc2cb7c71728e85bba7ea
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 20:36:41 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: maps
none
File: dso_list
none
File: backtrace
none
one page from the pdf that causes the segfault none

Description igor.redhat@gmail.com 2012-02-09 22:07:16 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        fontforge '/home/igor/Junk/Books/Bela Balazs_The_Cloak_of_Dreams__Chinese_Fairy_Tales__Oddly_Modern_Fairy_Tales.pdf'
comment:        This happens when I try to extract a certain font from a pdf
crash_function: __GI___libc_malloc
executable:     /usr/bin/fontforge
kernel:         3.2.3-2.fc16.x86_64
pid:            22329
pwd:            /home/igor
reason:         Process /usr/bin/fontforge was killed by signal 6 (SIGABRT)
time:           Thu 09 Feb 2012 09:54:11 PM EST
uid:            500
username:       igor

backtrace:      Text file, 24134 bytes
dso_list:       Text file, 4897 bytes
maps:           Text file, 25338 bytes

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1549
:XDG_SESSION_ID=2
:HOSTNAME=igor-hp
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/igor/.gnupg/S.gpg-agent:1570:1
:GLADE_PIXMAP_PATH=:
:TERM=xterm
:SHELL=/bin/bash
:XDG_MENU_PREFIX=xfce-
:HISTSIZE=1000
:XDG_SESSION_COOKIE=80bceb81e0be19877ca8e69f00000014-1328796777.208355-108199118
:WINDOWID=65011771
:GNOME_KEYRING_CONTROL=/tmp/keyring-DA8j4g
:IMSETTINGS_MODULE=none
:USER=igor
:PYTHONIOENCODING=utf_8
:SVN_EDITOR=vim_svn.sh
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-TZykouFZ1411/agent.1411
:USERNAME=igor
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1581,unix/unix:/tmp/.ICE-unix/1581
:XDG_CONFIG_DIRS=/etc/xdg
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/igor/.local/bin:/home/igor/bin
:MAIL=/var/spool/mail/igor
:DESKTOP_SESSION=xfce
:QT_IM_MODULE=xim
:PWD=/home/igor
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1403
:LANG=en_US.UTF-8
:'PS1=\\[\\033[01;32m\\]\\u@\\h \\[\\033[01;34m\\]\\W \\$ \\[\\033[00m\\]'
:'HISTIGNORE=&:l:ll:ls:ls -l:[bf]g:vi:cd:cd -:..:-'
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:SHLVL=3
:HOME=/home/igor
:LOGNAME=igor
:PRINTER=CUPS-Xerox_Color
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-mrx0obEAt3,guid=d18eb9f96428fe384c8a7374000000ae
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/igor
:DISPLAY=:0.0
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:COLORTERM=Terminal
:XAUTHORITY=/var/run/gdm/auth-for-igor-lvXdLp/database
:_=/usr/bin/fontforge

var_log_messages:
:Feb  9 21:40:43 igor-hp yum[21773]: Installed: fontforge-20110222-4.fc16.x86_64
:Feb  9 21:54:11 igor-hp abrt[22330]: Saved core dump of pid 22329 (/usr/bin/fontforge) to /var/spool/abrt/ccpp-2012-02-09-21:54:11-22329 (14204928 bytes)
Comment 1 igor.redhat@gmail.com 2012-02-09 22:07:19 EST
Created attachment 560753 [details]
File: maps
Comment 2 igor.redhat@gmail.com 2012-02-09 22:07:21 EST
Created attachment 560754 [details]
File: dso_list
Comment 3 igor.redhat@gmail.com 2012-02-09 22:07:23 EST
Created attachment 560755 [details]
File: backtrace
Comment 4 Kevin Fenzi 2012-02-14 11:26:29 EST
Is the pdf that causes this publicly available? Or can you make one with just the font that causes the issue and attach it here?
Comment 5 igor.redhat@gmail.com 2012-02-15 15:20:32 EST
Created attachment 562322 [details]
one page from the pdf that causes the segfault

The coredump happens when selecting the font called Elli.
Comment 6 Fedora End Of Life 2013-01-16 18:11:33 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 20:36:52 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.